Subject: Setting up restricted access ftp accounts

From: "Michael P. McIntyre" <[email-masked]>
Date: Tue, 04 Apr 1995 10:58:06 -0500

I am running 2.4. I am attempting to create an ftp account such that a
user my not 'cd' out of the directory hierarchy that I have placed
them in. I have configured their id in the passwd file to indicate a
chroot'ed entry. When the log in via ftp, they are placed into that
subdirectory. If they "cd ..", it takes them to the root, as denoted
in the /etc/passwd entry. Another "cd .." takes them back to the
initial subdirectory that they were in. The third "cd .." takes them
to the root of the machines filesystem. How can I keep this from
happening.

Thanks,
Mike McIntyre